| Home | Libraries | People | FAQ | More

## Function template is_decreasing

boost::algorithm::is_decreasing

## Synopsis

    // In header: <boost/algorithm/cxx11/is_sorted.hpp>

    template<typename R> bool is_decreasing(const R & range);

## Description

| Note
This function will return true for sequences that contain items that compare equal. If that is not what you intended, you should use is_strictly_decreasing instead.

Parameters:

`range` | The range to be tested.

Returns: | true if the entire sequence is decreasing; i.e, each item is less than or equal to the previous one.